Bug 810205 - Review Request: erlang-erlzmq2 - Erlang binding for ZeroMQ
Review Request: erlang-erlzmq2 - Erlang binding for ZeroMQ
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Peter Lemenkov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 06:40 EDT by Mikhail Kulemin
Modified: 2012-05-26 21:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 21:48:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikhail Kulemin 2012-04-05 06:40:27 EDT
Spec URL: http://mkulemin.fedorapeople.org/erlang-erlzmq2.spec
SRPM URL: https://koji.fedoraproject.org/koji/getfile?taskID=3965433&name=erlang-erlzmq2-0-2.20120404gitd9e8614.fc16.src.rpm
Description: NIF based Erlang binding for ZeroMQ messaging library. 
This implementation is faster than port driver based.
Comment 1 Peter Lemenkov 2012-04-05 06:44:38 EDT
I'll review it.
Comment 4 Peter Lemenkov 2012-05-16 07:34:55 EDT
Koji scratchbuild for F-18:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4081044

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent


work ~/work/siperl (git::master): rpmlint ~/Desktop/erlang-erlzmq2-*
erlang-erlzmq2.src: W: invalid-url Source0: zeromq-erlzmq2-2.1.11-2-gd9e8614.tar.gz

^^^ we must blame github for that.

erlang-erlzmq2.x86_64: E: explicit-lib-dependency erlang-stdlib

^^ false positive (triggered by "stdlib" word)

3 packages and 0 specfiles checked; 1 errors, 1 warnings.
work ~/work/siperl (git::master): 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT and BSD).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum zeromq-erlzmq2-2.1.11-2-gd9e8614.tar.gz*
285259f6a82366e1a005f9a36b47fe2b53aab7860ab8bda6aa8fb9716617a875  zeromq-erlzmq2-2.1.11-2-gd9e8614.tar.gz
285259f6a82366e1a005f9a36b47fe2b53aab7860ab8bda6aa8fb9716617a875  zeromq-erlzmq2-2.1.11-2-gd9e8614.tar.gz.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so) in the default libdirs.
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.


APPROVED.
Comment 5 Mikhail Kulemin 2012-05-16 08:03:28 EDT
Package Change Request
=======================
Package Name: erlang-erlzmq2
Short Description: NIF based Erlang binding for ZeroMQ messaging library.
Owners: mkulemin
Branches: f16 f17 rawhide
Comment 6 Gwyn Ciesla 2012-05-16 08:58:21 EDT
Misformatted request, use New Package.
Comment 7 Mikhail Kulemin 2012-05-16 09:23:32 EDT
New Package SCM Request
=======================
Package Name: erlang-erlzmq2
Short Description: NIF based Erlang binding for ZeroMQ messaging library.
Owners: mkulemin
Branches: f16 f17 rawhide
Comment 8 Gwyn Ciesla 2012-05-16 09:37:50 EDT
Unretired devel, please take ownership in pkgdb, then submit a Package
Change Request for the f17 branch.
Comment 9 Mikhail Kulemin 2012-05-16 09:52:09 EDT
Package Change Request
=======================
Package Name: erlang-erlzmq2
Short Description: NIF based Erlang binding for ZeroMQ messaging library.
Owners: mkulemin
Branches: f17
Comment 10 Mikhail Kulemin 2012-05-16 09:56:11 EDT
I just have taken ownership for package for f17. But when "fedpkg clone erlang-erlzmq2" I just found "dead.package" file.
Comment 11 Gwyn Ciesla 2012-05-16 10:09:11 EDT
Git done (by process-git-requests).
Comment 12 Gwyn Ciesla 2012-05-16 10:10:16 EDT
You mean rawhide, I just created f17.  Just fedpkg import your new SRPM, unless the dead.package contains a compelling reason why this package needed to stay retired.
Comment 13 Fedora Update System 2012-05-16 15:26:19 EDT
erlang-erlzmq2-2.1.11-2.20120404gitd9e8614.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/erlang-erlzmq2-2.1.11-2.20120404gitd9e8614.fc16
Comment 14 Fedora Update System 2012-05-18 06:38:39 EDT
erlang-erlzmq2-2.1.11-2.20120404gitd9e8614.fc16 has been pushed to the Fedora 16 testing repository.
Comment 15 Fedora Update System 2012-05-26 21:48:18 EDT
erlang-erlzmq2-2.1.11-2.20120404gitd9e8614.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.